# pry-less-source

Provides less-source command support for Pry.  
This is only for Unix-like OS.

## Installation

```bash
$ vi Gemfile
```

```Gemfile
gem 'pry'
gem 'pry-rails'
gem 'pry-less-source'
```

```bash
$ bundle
```

## Usage
Start Pry  
```bash
$ pry
```

Or

```bash
$ rails c
pry(main)> less-source Book.all
```
![less-source_1](https://user-images.githubusercontent.com/39484102/44530078-967b6600-a728-11e8-9ab8-78a472514dca.png)  
![less-source_2](https://user-images.githubusercontent.com/39484102/44530079-967b6600-a728-11e8-9ead-e788ca7d2fdc.png)  

## Difference of show-source command
show-source command output like this:  
![pry-rails](https://user-images.githubusercontent.com/39484102/44617383-373e6280-a89c-11e8-9dc5-b370b8ac03d5.png)

## Contributing
1. Fork this repository. And clone it. 
2. Create your feature branch (git checkout -b my-new-feature)
3. Commit your changes (git commit -am 'Add some feature')
4. Push your branch to GitHub (git push origin my-new-feature)
5. Create a new Pull Request

## License
MIT
