
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "pry-less-source/version"

Gem::Specification.new do |spec|
  spec.name          = "pry-less-source"
  spec.version       = PryLessSource::VERSION
  spec.authors       = ["Shinichi Matsumoto"]
  spec.email         = ["sugarandsalt89@gmail.com"]

  spec.summary       = %q{less-source command use less for Pry as pager. This is only for Unix-like OS.}
  spec.description   = %q{less-source command use less for Pry as pager. This is only for Unix-like OS.}
  spec.homepage      = "https://github.com/matt-note/pry-less-source"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "pry", ">= 0.9.8"

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
